Page MenuHomeFreeBSD

Bring over some fixes from the other external GCC toolchain ports.
ClosedPublic

Authored by jhb on Mar 21 2018, 6:07 PM.

Details

Summary

This is generally inspired by the changes in r465416 and subsequent fixes.

  • Remove include-fixed headers.
  • Strip /usr/local/include from the default include path.
  • Use libc++ for C++ instead of libstdc++.
  • Force build of a cross compiler if built on a riscv64 host.
  • Bump PORTREVISION.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Mar 21 2018, 6:07 PM
br added a reviewer: lwhsu.Mar 21 2018, 6:12 PM
swills added a subscriber: swills.Mar 21 2018, 6:33 PM
swills added inline comments.
devel/riscv64-gcc/Makefile
5 ↗(On Diff #40558)

Patch failed to apply for me because the PORTREVISION was already set to 2, FWIW

lwhsu added a comment.Mar 22 2018, 8:39 AM

Besides PORTREVISION, all look good to me.

jhb updated this revision to Diff 40659.Mar 23 2018, 11:01 PM
  • Rebase on today's ports tree.
lwhsu accepted this revision.Mar 24 2018, 7:30 AM
This revision is now accepted and ready to land.Mar 24 2018, 7:30 AM
lwhsu added a comment.Mar 27 2018, 2:54 AM

@jhb : are you going to commit this?

jhb added a comment.Mar 27 2018, 2:07 PM

In testing I found that it needed some additional changes from devel/powerpc64-gcc for libc++. Those appear to have worked, but when I tried a related fix for amd64-gcc I got a weird build error in an amd64 buildworld I haven't resolved yet.

jhb updated this revision to Diff 40965.Apr 1 2018, 6:01 PM
  • Changes to use libc++ instead of libstc++.
  • Define CROSS_DIRECTORY_STRUCTURE always.
This revision now requires review to proceed.Apr 1 2018, 6:01 PM
jhb edited the summary of this revision. (Show Details)Apr 1 2018, 6:04 PM
lwhsu accepted this revision.Apr 3 2018, 6:32 AM
This revision is now accepted and ready to land.Apr 3 2018, 6:32 AM
This revision was automatically updated to reflect the committed changes.